View Issue Details

IDProjectCategoryView StatusLast Update
14660Bug reports[All Projects] Menu systempublic2019-05-29 16:39
ReporterDenisChenu Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.17.x 
Summary14660: Unable to choose icon on Boxes
Description
  1. Check default icon after install : white on list but OK on Boxes
  2. Try to update icon, choose any one : seems OK, validate : empty
Steps To Reproduce

Go to update any Boxes; update icon, validate
Go to home page : empty
Icon are here but without the icon- part

Additional Information

@ollehar : related to https://github.com/LimeSurvey/LimeSurvey/commit/1b7fefd54c850eea180fe88f4bfeaf105ae2b65e#diff-ca50a61c63fe35982b8925ddb2176970R15

Must fix in editor too.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.16.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

has duplicate 14835 closedollehar no icons for homepage entries 

Activities

DenisChenu

DenisChenu

2019-03-18 17:26

developer   ~51039

Screenshot : all empty shown icon are OK, fa icon seems broken are OK, but the 2 ones with icon are broken.



ollehar

ollehar

2019-03-18 17:35

administrator   ~51040

Thanks, Denis.

DenisChenu

DenisChenu

2019-03-18 18:30

developer   ~51041

;)

DenisChenu

DenisChenu

2019-05-02 15:16

developer   ~51730

@ollehar : after https://github.com/LimeSurvey/LimeSurvey/commit/48b107897b653effc2660b27db76927393fa767e : it's OK when edit or in final home page.

But not in admin/homepagesettings : it shows bad icon for fa ( LimeStore have icon-fa fa-cart-plus text-success and not fa fa-cart-plus text-success
And no icon for selected icon : icon-icon-shield

:)

DenisChenu

DenisChenu

2019-05-02 15:22

developer   ~51731

https://github.com/LimeSurvey/LimeSurvey/commit/f6a0051d62e81f5a1e96fb738dc7808b2c7394f4

ollehar

ollehar

2019-05-02 15:53

administrator   ~51734

Bah.

DenisChenu

DenisChenu

2019-05-02 15:53

developer   ~51735

And js selector here : https://github.com/LimeSurvey/LimeSurvey/commit/323c6f2f0bfdd6eb1c6fe7dea16b2af503806d2a :)

ollehar

ollehar

2019-05-29 16:12

administrator   ~52197

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28939

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52205

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 48b10789

2019-04-30 14:09:14

ollehar

Details Diff
Fixed issue 14660: Unable to choose icon on Boxes Affected Issues
14660
mod - application/config/version.php Diff File
mod - assets/scripts/admin/homepagesettings.js Diff File

LimeSurvey: master f6a0051d

2019-05-02 15:21:34

DenisChenu

Details Diff
Dev: Fix 14660: bad icon shown in Boxes listing Affected Issues
14660
mod - application/models/Boxes.php Diff File

Issue History

Date Modified Username Field Change
2019-03-18 17:23 DenisChenu New Issue
2019-03-18 17:23 DenisChenu Status new => assigned
2019-03-18 17:23 DenisChenu Assigned To => markusfluer
2019-03-18 17:26 DenisChenu File Added: Capture d’écran du 2019-03-18 17-25-38.png
2019-03-18 17:26 DenisChenu Note Added: 51039
2019-03-18 17:35 ollehar Assigned To markusfluer => ollehar
2019-03-18 17:35 ollehar Note Added: 51040
2019-03-18 18:30 DenisChenu Note Added: 51041
2019-04-30 14:09 ollehar Status assigned => resolved
2019-04-30 14:09 ollehar Resolution open => fixed
2019-04-30 14:09 ollehar Fixed in Version => 3.17.x
2019-05-02 15:09 DenisChenu Relationship added has duplicate 14835
2019-05-02 15:16 DenisChenu Note Added: 51730
2019-05-02 15:22 DenisChenu Note Added: 51731
2019-05-02 15:53 ollehar Note Added: 51734
2019-05-02 15:53 DenisChenu Note Added: 51735
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master f6a0051d
2019-05-29 16:12 ollehar Changeset attached => LimeSurvey master 48b10789
2019-05-29 16:12 ollehar Note Added: 52197
2019-05-29 16:39 c_schmitz Note Added: 52205
2019-05-29 16:39 c_schmitz Status resolved => closed
2019-09-10 11:46 c_schmitz Category MenuSystem => Menu system